GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "30570693-f8c6-4d24-af67-065e583bead4",
"selected_nameplate_id": "e81688a6-4d71-466c-8bcb-b85bc6f1c920",
"active": true,
"department_id": "f86686e8-6ff2-4ae3-991c-f0555ac21221",
"id": "d5ed9dff-0c95-4abc-bdd7-acc15c251417",
"physical_item_id": "f6a58089-39e0-4f59-ac94-fe54feb11a97",
"service_item_id": "95a48ac7-d888-4ba0-9f74-615fcc175aec",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>f86686e8-6ff2-4ae3-991c-f0555ac21221</department_id>
<id>d5ed9dff-0c95-4abc-bdd7-acc15c251417</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>f6a58089-39e0-4f59-ac94-fe54feb11a97</physical_item_id>
<quantity>1</quantity>
<service_item_id>95a48ac7-d888-4ba0-9f74-615fcc175aec</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>e81688a6-4d71-466c-8bcb-b85bc6f1c920</selected_nameplate_id>
<selected_sticker_id>30570693-f8c6-4d24-af67-065e583bead4</selected_sticker_id>
</department_item>